Get device wipe status for user
GET
/service/wipe/{username}
const url = 'https://example.com/api/v1/service/wipe/example';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/service/wipe/example \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”- JWTCookie
- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”username
required
string
E-mail address of the user
Query Parameters
Section titled “Query Parameters”devices
Array<string>
Restrict request to these device IDs
Responses
Section titled “Responses”List of devices returned
Media typeapplication/json
object
data
Associative array of devices
object
key
additional properties
object
status
Device status
integer
Examplegenerated
{ "data": { "additionalProperty": { "status": 1 } }}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}